org.minidns.edns

## Enum Edns.OptionCode

- java.lang.Object
- - java.lang.Enum<Edns.OptionCode>
  - - org.minidns.edns.Edns.OptionCode

- All Implemented Interfaces:
    Serializable, Comparable<Edns.OptionCode>
  Enclosing class:
    Edns

      public static enum Edns.OptionCode
      extends Enum<Edns.OptionCode>

  The EDNS option code.
  See Also:
    IANA - DNS EDNS0 Option Codes (OPT)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NSID`
    `UNKNOWN`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `asInt`
    `Class<? extends EdnsOption>` | `clazz`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Edns.OptionCode` | `from(int optionCode)`
    `static Edns.OptionCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Edns.OptionCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NSID

          public static final Edns.OptionCode NSID

    - #### UNKNOWN

          public static final Edns.OptionCode UNKNOWN

  - ### Field Detail

    - #### asInt

          public final int asInt

    - #### clazz

          public final Class<? extends EdnsOption> clazz

  - ### Method Detail

    - #### from

          public static Edns.OptionCode from(int optionCode)

    - #### valueOf

          public static Edns.OptionCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static Edns.OptionCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Edns.OptionCode c : Edns.OptionCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared